RunReveal

DetectionsCreate operation

POST
/detections/create

Request Body

application/jsonRequired

agentConfigIdOrNamestring

autoInvestigateboolean

autoTriageboolean

categoriesarray<string>

descriptionstring

disabledboolean

displayNamestring

fieldsarray<string>

groupAlertsboolean

mitreAttacksarray<string>

mitreTechniquesarray<string>

namestring

notesstring

notificationNamesarray<string>

notificationTemplatestring

parametersobject

querystring

riskScoreinteger

schedulestring

settingsarray<integer>

severitystring

sourceTypesarray<string>

typestring

curl -X POST "https://api.runreveal.com/detections/create" \
  -H "Content-Type: application/json" \
  -d '{
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "description": "string",
    "disabled": true,
    "displayName": "string",
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "sourceTypes": [
      "string"
    ],
    "type": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

DetectionDelete operation

DELETE
/detections/delete

Query Parameters

idstring

typearray<string>

curl -X DELETE "https://api.runreveal.com/detections/delete?id=string&type=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "agentConfigIdOrName": "string",
      "autoInvestigate": true,
      "autoTriage": true,
      "categories": [
        "string"
      ],
      "createdAt": {},
      "createdBy": "string",
      "createdFrom": "string",
      "description": "string",
      "displayName": "string",
      "enabled": true,
      "fields": [
        "string"
      ],
      "groupAlerts": true,
      "id": "string",
      "inlineTemplate": {
        "body": "string",
        "title": "string"
      },
      "managed": true,
      "mitreAttacks": [
        "string"
      ],
      "mitreTechniques": [
        "string"
      ],
      "name": "string",
      "nextRunTime": {},
      "notes": "string",
      "notificationNames": [
        "string"
      ],
      "notificationTemplate": "string",
      "parameters": {
        "property1": "string",
        "property2": "string"
      },
      "previousRunTime": {},
      "public": true,
      "query": "string",
      "riskScore": 0,
      "schedule": "string",
      "settings": [
        0
      ],
      "severity": "string",
      "silencedUntil": {},
      "sourceTypes": [
        "string"
      ],
      "system": true,
      "type": "string",
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

DetectionUpdateEnabledFlag operation

POST
/detections/enabled/update

Request Body

application/jsonRequired

detectionstring

enabledstring

curl -X POST "https://api.runreveal.com/detections/enabled/update" \
  -H "Content-Type: application/json" \
  -d '{
    "detection": "string",
    "enabled": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

DetectionsFacets returns the disjunctive filter-menu aggregates (severity/type/createdFrom/status/category/notification counts) for the workspace detections list, given the current filter context.

DetectionsFacets returns the disjunctive filter-menu aggregates (severity/type/createdFrom/status/category/notification counts) for the workspace detections list, given the current filter context.

GET
/detections/facets

Query Parameters

categoryarray<string>

categoryModestring

createdAfterobject

createdBeforeobject

createdByarray<string>

createdFromstring

enabledboolean

includeManagedboolean

notificationarray<string>

notificationModestring

searchstring

severityarray<string>

severityModestring

sortstring

typearray<string>

typeModestring

curl -X GET "https://api.runreveal.com/detections/facets?category=string&categoryMode=string&createdAfter=%5Bobject+Object%5D&createdBefore=%5Bobject+Object%5D&createdBy=string&createdFrom=string&enabled=true&includeManaged=true&notification=string&notificationMode=string&search=string&severity=string&severityMode=string&sort=string&type=string&typeMode=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "buckets": {
      "property1": [
        {
          "count": 0,
          "label": "string",
          "value": "string"
        }
      ],
      "property2": [
        {
          "count": 0,
          "label": "string",
          "value": "string"
        }
      ]
    }
  },
  "success": true
}

DetectionsGet operation

GET
/detections/get
curl -X GET "https://api.runreveal.com/detections/get?name=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

DetectionsList operation

GET
/detections/list

Query Parameters

categoryarray<string>

categoryModestring

createdAfterobject

createdBeforeobject

createdByarray<string>

createdFromstring

enabledboolean

includeManagedboolean

notificationarray<string>

notificationModestring

searchstring

severityarray<string>

severityModestring

sortstring

typearray<string>

typeModestring

curl -X GET "https://api.runreveal.com/detections/list?category=string&categoryMode=string&createdAfter=%5Bobject+Object%5D&createdBefore=%5Bobject+Object%5D&createdBy=string&createdFrom=string&enabled=true&includeManaged=true&notification=string&notificationMode=string&search=string&severity=string&severityMode=string&sort=string&type=string&typeMode=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "agentConfigIdOrName": "string",
      "autoInvestigate": true,
      "autoTriage": true,
      "categories": [
        "string"
      ],
      "createdAt": {},
      "createdBy": "string",
      "createdFrom": "string",
      "description": "string",
      "displayName": "string",
      "enabled": true,
      "fields": [
        "string"
      ],
      "groupAlerts": true,
      "id": "string",
      "inlineTemplate": {
        "body": "string",
        "title": "string"
      },
      "managed": true,
      "mitreAttacks": [
        "string"
      ],
      "mitreTechniques": [
        "string"
      ],
      "name": "string",
      "nextRunTime": {},
      "notes": "string",
      "notificationNames": [
        "string"
      ],
      "notificationTemplate": "string",
      "parameters": {
        "property1": "string",
        "property2": "string"
      },
      "previousRunTime": {},
      "public": true,
      "query": "string",
      "riskScore": 0,
      "schedule": "string",
      "settings": [
        0
      ],
      "severity": "string",
      "silencedUntil": {},
      "sourceTypes": [
        "string"
      ],
      "system": true,
      "type": "string",
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

DetectionsListMeta operation

GET
/detections/list-meta
curl -X GET "https://api.runreveal.com/detections/list-meta"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "displayName": "string",
      "id": "string",
      "managed": true,
      "name": "string"
    }
  ],
  "success": true
}

DetectionRenderPreview renders a preview of a detection's notification title and body using data from a detection run.

DetectionRenderPreview renders a preview of a detection's notification title and body using data from a detection run.

POST
/detections/render-preview

Request Body

application/jsonRequired

detectionIDstring

notificationNamestring

resultIDstring

scheduleRunIDstring

templateBodystring

templateTitlestring

useSampleDataboolean

curl -X POST "https://api.runreveal.com/detections/render-preview" \
  -H "Content-Type: application/json" \
  -d '{
    "detectionID": "string",
    "notificationName": "string",
    "resultID": "string",
    "scheduleRunID": "string",
    "templateBody": "string",
    "templateTitle": "string",
    "useSampleData": true
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "error": "string",
    "previewSource": "string",
    "renderedBody": "string",
    "renderedBodyMarkdown": "string",
    "renderedTitle": "string",
    "result": {}
  },
  "success": true
}

SigmaCreate operation

POST
/detections/sigma/create

Request Body

application/jsonRequired

idstring

rulestring

curl -X POST "https://api.runreveal.com/detections/sigma/create" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "rule": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

SigmaUpdate operation

PUT
/detections/sigma/update

Request Body

application/jsonRequired

idstring

rulestring

curl -X PUT "https://api.runreveal.com/detections/sigma/update" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "rule": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

DetectionUpdateSilenced operation

POST
/detections/silence

Request Body

application/jsonRequired

detectionstring

silencedUntilobject

curl -X POST "https://api.runreveal.com/detections/silence" \
  -H "Content-Type: application/json" \
  -d '{
    "detection": "string",
    "silencedUntil": {}
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

DetectionSyncPlan operation

POST
/detections/sync/v2

Request Body

application/jsonRequired

DryRunboolean

NewDetectionsarray<object>

Overwriteboolean

curl -X POST "https://api.runreveal.com/detections/sync/v2" \
  -H "Content-Type: application/json" \
  -d '{
    "DryRun": true,
    "NewDetections": [
      {
        "agentConfigIdOrName": "string",
        "autoInvestigate": true,
        "autoTriage": true,
        "categories": [
          "string"
        ],
        "defaultParameters": {
          "property1": "string",
          "property2": "string"
        },
        "description": "string",
        "disabled": true,
        "displayName": "string",
        "fields": [
          "string"
        ],
        "file": "string",
        "groupAlerts": true,
        "inlineTemplate": {
          "body": "string",
          "title": "string"
        },
        "mitreAttacks": [
          "string"
        ],
        "mitreTechniques": [
          "string"
        ],
        "name": "string",
        "notes": "string",
        "notificationNames": [
          "string"
        ],
        "notificationTemplate": "string",
        "parameters": {
          "property1": "string",
          "property2": "string"
        },
        "public": true,
        "query": "string",
        "riskScore": 0,
        "schedule": "string",
        "settings": {},
        "severity": "string",
        "sourceTypes": [
          "string"
        ],
        "type": "string"
      }
    ],
    "Overwrite": true
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "Errors": [
      {
        "DetectionID": "string",
        "DetectionName": "string",
        "Message": "string"
      }
    ],
    "ModificationPlans": {
      "property1": {
        "DetectionName": "string",
        "ModificationType": "string",
        "ModifiedFields": [
          {
            "FieldName": "string",
            "NewValue": {},
            "OldValue": {}
          }
        ]
      },
      "property2": {
        "DetectionName": "string",
        "ModificationType": "string",
        "ModifiedFields": [
          {
            "FieldName": "string",
            "NewValue": {},
            "OldValue": {}
          }
        ]
      }
    },
    "Warnings": [
      {
        "DetectionName": "string",
        "Message": "string"
      }
    ]
  },
  "success": true
}

DetectionUpdate operation

PUT
/detections/update

Request Body

application/jsonRequired

agentConfigIdOrNamestring

autoInvestigateboolean

autoTriageboolean

categoriesarray<string>

descriptionstring

disabledboolean

displayNamestring

fieldsarray<string>

groupAlertsboolean

idstring

mitreAttacksarray<string>

mitreTechniquesarray<string>

namestring

notesstring

notificationNamesarray<string>

notificationTemplatestring

parametersobject

querystring

riskScoreinteger

schedulestring

settingsarray<integer>

severitystring

sourceTypesarray<string>

typestring

curl -X PUT "https://api.runreveal.com/detections/update" \
  -H "Content-Type: application/json" \
  -d '{
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "description": "string",
    "disabled": true,
    "displayName": "string",
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "sourceTypes": [
      "string"
    ],
    "type": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agentConfigIdOrName": "string",
    "autoInvestigate": true,
    "autoTriage": true,
    "categories": [
      "string"
    ],
    "createdAt": {},
    "createdBy": "string",
    "createdFrom": "string",
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "fields": [
      "string"
    ],
    "groupAlerts": true,
    "id": "string",
    "inlineTemplate": {
      "body": "string",
      "title": "string"
    },
    "managed": true,
    "mitreAttacks": [
      "string"
    ],
    "mitreTechniques": [
      "string"
    ],
    "name": "string",
    "nextRunTime": {},
    "notes": "string",
    "notificationNames": [
      "string"
    ],
    "notificationTemplate": "string",
    "parameters": {
      "property1": "string",
      "property2": "string"
    },
    "previousRunTime": {},
    "public": true,
    "query": "string",
    "riskScore": 0,
    "schedule": "string",
    "settings": [
      0
    ],
    "severity": "string",
    "silencedUntil": {},
    "sourceTypes": [
      "string"
    ],
    "system": true,
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}